VERSION 4.00
Begin VB.Form frmSettings 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Team Selection Settings"
   ClientHeight    =   3855
   ClientLeft      =   2445
   ClientTop       =   1950
   ClientWidth     =   4815
   ControlBox      =   0   'False
   Height          =   4260
   Left            =   2385
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3855
   ScaleWidth      =   4815
   ShowInTaskbar   =   0   'False
   Top             =   1605
   Width           =   4935
   Begin VB.Frame Frame1 
      Caption         =   "General Information"
      Height          =   1455
      Left            =   120
      TabIndex        =   3
      Top             =   300
      Width           =   4605
      Begin VB.Label lblCandidates 
         Alignment       =   2  'Center
         Caption         =   "Candidates"
         Height          =   225
         Left            =   60
         TabIndex        =   6
         Top             =   1050
         Width           =   4485
      End
      Begin VB.Label lblJobs 
         Alignment       =   2  'Center
         Caption         =   "Jobs"
         Height          =   225
         Left            =   60
         TabIndex        =   5
         Top             =   720
         Width           =   4485
      End
      Begin VB.Label lblProject 
         Alignment       =   2  'Center
         Caption         =   "Project"
         Height          =   225
         Left            =   90
         TabIndex        =   4
         Top             =   360
         Width           =   4455
      End
   End
   Begin VB.CheckBox chkExactOn 
      Caption         =   "Only consider EXACT skill matches"
      Height          =   345
      Left            =   960
      TabIndex        =   2
      Top             =   1890
      Width           =   2955
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   525
      Left            =   2520
      TabIndex        =   1
      Top             =   3150
      Width           =   1245
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&Start"
      Height          =   525
      Left            =   1080
      TabIndex        =   0
      Top             =   3150
      Width           =   1245
   End
   Begin VB.Label lblStartTime 
      Alignment       =   2  'Center
      Height          =   315
      Left            =   0
      TabIndex        =   7
      Top             =   2490
      Width           =   4815
   End
End
Attribute VB_Name = "frmSettings"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
  If Not cmdOK.Visible Then
    MousePointer = 13
    gCancelMessage = 1
  Else
    Unload frmSettings
  End If
End Sub

Private Sub cmdOK_Click()
  Dim cost As Double
  
  Screen.MousePointer = 11
  chkExactOn.Enabled = False

  'Translate the checkbox (1,0) values to (TRUE,FALSE).
  If chkExactOn = 0 Then
    gExactSkills = False
  Else
    gExactSkills = True
  End If
  lblStartTime.Caption = "Started search at " + Format$(Now)
  
  cmdOK.Visible = False
  cmdCancel.Visible = False
  cmdCancel.Width = frmSettings.Width - 1000
  cmdCancel.Left = 500
  cmdCancel.Visible = True
  
  initAll
  frmSettings.Refresh
  
  'Now start the search.
  cost = BB()
  'Notify of finish.
  Beep
  frmMain.dbaCandidateProject.Refresh
  If cost >= 0 Then  'Do we have a team?
    MousePointer = 0
    MsgBox "Found a team with absolute cost of " + Format$(cost, "#,##0") + " at " + Str$(Now), 48, gProgramTitle
  End If
  
  'Done.
  cmdCancel.Caption = "&OK"
  Unload frmSettings
End Sub

Private Sub Form_Load()

  Left = (Screen.Width - Width) / 2
  TOP = (Screen.Height - Height) / 2

  MousePointer = 0

  gCancelMessage = 0
  lblProject = frmMain.cboProjectTeam
  lblJobs = "There are " + Str$(JobsInProject) + " jobs in this project."
  lblCandidates = "There are " + Str$(EmpsInPool) + " available candidates."

End Sub


Private Sub Form_Unload(Cancel As Integer)
  frmMain.cboProjectTeam.Refresh
  frmMain.lstTeams.Refresh
  frmMain.Refresh
  Screen.MousePointer = 0
End Sub


